// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
    event.create('red_alloy_item').displayName('Red Alloy')
    event.create('estrela_quests_item').displayName('Star Quest')
    event.create('sky_coins_item').displayName('Sky Coin')
	event.create('incomplete_ultimate_ingot').displayName('Incomplete Ultimate Ingot')
	event.create('ultimate_mechanism').displayName('Ultimate Mechanism')
	event.create('incomplete_ultimate_mechanism').displayName('Incomplete Ultimate Mechanism')
	event.create('anchor_core').displayName('Anchor Core')
})

onEvent('block.registry', event => {
	event.create('machine_frame_ultimate').material('wood').hardness(4.0).displayName('Ultimate Machine Frame')
	event.create('machine_frame_simple').material('wood').hardness(2.0).displayName('Simple Machine Frame')
})